/*搜索框下拉列表*/
.mac_results{ 
    position: fixed !important;
    top: 60px !important;  
    z-index: 9;
    left: calc(50% + 160px) !important;
    width: 250px !important;
    overflow: auto; /* 启用滚动 */
    padding: 10px;
    backdrop-filter: blur(40px);
    color: #f9adc5;
    border-radius: 5px 5px 20px 20px;
} 
.mac_results ul li {
    
    font-size: 14px; 
    padding: 5px;
    
}
.mac_results ul li:hover{
    cursor: pointer;
    color:#fff;
    background: #6d6b6b;
    border-radius: 3px;
}
.mac_results ul::-webkit-scrollbar {
    display: none; /* 隐藏滚动条 */
}

/*历史记录列表*/
.mac_history_box{ 
    position: fixed !important;
    top: 65px !important;
    z-index: 9;
    left: auto !important;
    right: 20px;
    width: 200px !important;
    overflow: auto;
    padding: 10px;
    background-color: #1d1b24;
    backdrop-filter: blur(45px); 
    border-radius: 5px 5px 10px 10px;
} 
.mac_history_box dt{
    margin-left: 150px;
    margin-bottom: 10px;
}
.mac_history_box dd a{
    display: block;
    font-size: 14px; 
    padding: 5px;
    
}
.mac_history_box > dd > a:hover{
    cursor: pointer;
    color:#fff;
    background: #6d6b6b;
    border-radius: 3px;
}
.mac_history_box::-webkit-scrollbar {
    display: none; /* 隐藏滚动条 */
}

/*留言论弹窗，数据报错弹窗*/
.mac_pop_bg{
    position: fixed;
    z-index: 998;
    width: 100%;
    max-width: 1600px;
    height: 100%;
    background: rgba(0, 0, 0, .7);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.mac_pop{
    z-index: 999;
    max-height: 95%;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin-top: -160px;
    padding: 0.625rem;
    border-radius: 4px;
    background-color: #fff;
    box-shadow: 0 5px 15px 0 rgba(0, 0, 0, .15);
    height: auto !important;
    padding-bottom: 25px;
}
.pop_top h2{
    font-size: 20px;
    color: #000;
    text-align: center;
    margin: 10px;
}
.pop_close{
    color: #000;
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
}
.gbook_content{
    width: 100%;
    border: 1px solid rgb(241, 241, 241);
    background: rgb(248, 248, 248);
    border-radius: 4px;
    overflow: hidden;
    min-height: 50px;
    padding: 12px;
    height: 125px;
}
 
.gbook_form input.verify{
    height: 42px;
    width: 140px;
    border-radius: 4px 0px 0 4px;
    font-size: 14px;
    padding-left: 10px;
    border: 1px solid rgb(241, 241, 241);
    background: rgb(248, 248, 248);
} 
.gbook_form img.comm-code{
    height: 40px;
    width: 70px;
    border-radius: 0 4px 4px 0;
    transform: translate(-71px, 16px);
}
.gbook_form .submit_btn{
    width: 80px;
    color: #fff;
    background: linear-gradient(180deg, #42D1D8 -1.75%, #6A4EF8 100.23%) !important;
    border: none;
    padding: 10px;
    border-radius: 4px;
    float: right;
    margin-top: 16px;
}
@media (max-width: 575.98px) {
    .mac_pop{
        width: 80% !important;
        height: auto !important;
        margin-top: -100px; 
        padding-bottom: 25px;
    }
}
/*视频评论，视频评论弹窗*/
.comment_form input.verify{
    height: 42px;
    width: 90px;
    border: none;
    position: absolute;
    right: 18%;
    margin-top: 15px;
    border-radius: 6px 0px 0 6px;
    font-size: 14px;
    color: #f3fbfe;
    background: #2f2f33;
    padding-left: 10px;
   } 
.comment_form img.comm-code{
    height: 42px;
    width: 70px;
    position: absolute;
    right: 15%;
    margin-top: 15px;
    border-radius: 0 6px 6px 0;
}
.comment-meta input.verify, .comment-meta .comment_submit{
   background: #242428;
}
input.verify:focus { 
  outline: none; 
  border: none; 
} 
.Comments .img-fluid{
   height: auto;
   border-radius: 50% !important;
   border: 1px solid #ccc;
    padding: 5px;
}
.Comments .text-end a{
    color: #888 !important; 
    font-size: 12px !important;
}
.Comments .text-end a i{
    padding-right: 5px;
}
@media (max-width: 575.98px) {
    .comment_form input.verify{
        right: auto;
        left: 12px;
        height: 34px;
        margin-top: 19px;
    }
    .comment_form img.comm-code{
        right: auto;
        left: 90px;
        height: 34px;
        margin-top: 19px;
    }
}

/*公共tip弹窗*/
.mac_pop_msg_bg{
    position: fixed;
    z-index: 1000;
    width: 100%;
    max-width: 1600px;
    height: 100%;
    background: rgba(0, 0, 0, .7);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.mac_pop_msg{
    color: #000;
    z-index: 1000;
    max-height: 95%;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin-top: -160px;
    padding: 1rem;
    border-radius: 4px;
    background-color: #fff;
    box-shadow: 0 5px 15px 0 rgba(0, 0, 0, .15);
    height: auto !important;
    padding-bottom: 15px;
    text-align: center;
}
.pop_top_msg h2{
    font-size: 20px;
    color: #000;
    text-align: center;
    margin: 10px;
}
